import request from '@/utils/request'

// 查询微信交换数据列表
export function listWxTransData(query) {
  return request({
    url: '/xq/wxTransData/list',
    method: 'get',
    params: query
  })
}

// 查询微信交换数据详细
export function getWxTransData(id) {
  return request({
    url: '/xq/wxTransData/' + id,
    method: 'get'
  })
}

export function allowWxTransData(data) {
  return request({
    url: '/xq/wxTransData/allow',
    method: 'post',
    data: data
  })
}

export function notAllowWxTransData(data) {
  return request({
    url: '/xq/wxTransData/notAllow',
    method: 'post',
    data: data
  })
}

// 删除微信交换数据
export function delWxTransData(id) {
  return request({
    url: '/xq/wxTransData/' + id,
    method: 'delete'
  })
}
